MKVINFO(1)

NAME
mkvinfo - Informatie uitprinten over elementen in Matroska(TM) bestanden

BEKNOPTE INHOUDSBESCHRIJVING

mkvinfo [options] {source-filename}

BESCHRIJVING

Dit programma lijst alle elementen die een Matroska(TM) bestand bevat. De uitvoer kan gelimiteerd worden naar een lijst van sporen inclusief de informatie over de gebruikte codecs.

-g, --gui
    Start de GUI. Deze optie is alleen beschikbaar wanneer mkvinfo is gecompileerd met GUI ondersteuning.

-c, --checksums
    Berekent en toont de Adler32 controleer som. Alleen zinvol voor fout zoeken.

-s, --summary
    Toon slechts een grove samenvatting van wat mkvinfo(1) vindt en niet elk element.

-t, --track-info
    Toont statistieken voor elk spoor in 'stille' mode. Zet tevens 'stille mode' naar 1 als niveau daarvoor 0 was.

-x, --hexdump
    Toont de eerste 16 bytes van elk beeld als een hex dump.

-X, --full-hexdump
    Toont alle bytes van elk beeld als een hex dump.

-z, --size
    Toont de grootte van elk element inclusief kop hoofd.

--command-line-charset (karakterset)
    Plaatst het karakter set om de reeksen om te zetten die vanaf de commandoregel worden opgegeven. Standaard wordt gebruikt het karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (locatie).

--output-charset (karakterset)
    Stelt het karakter set in, waarnaar de reeksen naar de uitvoer dienen te worden geconverteerd. Standaard wordt gebruikt het karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (locatie).

-r, --redirect-output (bestandsnaam)
    Schrijft alle berichten naar een bestand file-name i.p.v. naar de 'apparaat/houder'. Terwijl dit gemakkelijk met uitvoer omleiden kan worden gedaan er zijn gevallen waarin deze optie nodig is: wanneer de verwerker e.e.a. herinterpreteert voordat het geschreven wordt naar de uitvoer bestand. Het karakter set met --output-charset is toegewezen.

--ui-language code
    Forceert de vertaling voor de te gebruiken taal code (b.v. 'de_DE' voor de Duitse taal). Hoewel het de voorkeur heeft de 'omgevingsvariabelen' te gebruiken LANG, LC_MESSAGES en LC_ALL. Opvragen van een 'list' als een code zal er voor zorgen dat mkvextract(1) een lijst zal uitvoeren van alle beschikbare vertalingen.

--title onderwerp
    Zet debuggen aan voor een specifieke mogelijkheid. Dit is alleen zinvol voor ontwikkelaars.

--tags feature
    Zet experimentele mogelijkheden aan. Een lijst van beschikbare mogelijkheden kan worden opgevraagd met mkvinfo --engage list. Deze mogelijkheden zijn niet bedoeld in normale situaties.

--gui-mode
    Turns on GUI mode. In this mode specially-formatted lines may be output that can tell a controlling GUI what's happening. These messages follow the format '#GUI#message'. The message may be followed by key/value pairs as in '#GUI#message#key1=value1#key2=value2...'. Neither the messages nor the keys are ever translated and always output in English.

    This switch has nothing to do with the --gui parameter which causes mkvinfo to display its own GUI.

-v, --verbose
    Wees uitgebreider. Zie sectie over: Uitgebreide niveaus voor een beschrijving welke informatie wordt uitgevoerd op welk niveau.

-h, --help
    Toon gebruik informatie en sluit af.

-V, --version
    Toon versie informatie en sluit af.

--check-for-updates
    Controleert online op nieuwere versies via ophalen op adres http://mkvtoolnix-releases.bunkus.org/latest-release.xml. Vier regels worden uitgevoerd in key=value stijl: het adres van waar de informatie wordt verkregen (key version_check_url), de huidig uitgevoerde versie (key running_version), laatst uitgebrachte versie (key available_version en het ophaal adres (key download_url).

    Nadien sluit het programma af met een afsluitwaarde van 0 als er geen nieuwere versie beschikbaar is, met een 1 als er een nieuwere beschikbaar is en 2 indien er een fout ontstond (b.v. als de opwaardeer informatie niet verkregen kon worden).

    Deze optie is alleen beschikbaar indien het gebouwd is met ondersteuning voor libcurl.

@options-file
    Leest extra commandoregel argumenten in van een bestand options-file. Regels met een spatie (lege ruimte) als eerste karakter, zijn gemarkeerd als een hash (waarde) ('#') worden behandeld als commentaar en genegeerd. Een spatie aan het begin en einde van een regel worden verwijderd. Elke regel mag exact één waarde bevatten

    Verschillende karakters kunnen worden overgeslagen, b.v. als het nodig is een niet commentaar regel te starten met '#'. Deze regels worden beschreven in de sectie over: Overslaan van speciale karakter(s) in tekst.

    De commandoregel 'mkvinfo -v -v input.mkv --redirect-output info.txt' kon worden geconverteerd naar het volgende optie bestand:

        # Be more verbose
        -v
        -v
        # Parse input.mkv
        input.mkv
        # and write the output to info.txt
        --redirect-output
        info.txt

UITGEBREIDE NIVEAUS

De optie -v kan worden gebruikt om mkvinfo(1)'s uitgebreide niveau te verhogen en meer informatie te printen over het huidige bestand.

Op niveau 0 print mkvinfo(1) de spoor koppen die het vindt en hun typen. mkvinfo(1) verlaat zo snel mogelijk wanneer de koppen volledig zijn ontleed (meer technisch: zo snel mogelijk wanneer de eerste cluster wordt tegengekomen). Op dit niveau worden de zoek kop ingangen en volg document(en) (cue) niet getoond -- zelfs niet wanneer die aan het begin bevinden van de spoor informatie.

Op niveau 1 print mkvinfo(1) ook alle Matroska(TM) tegengekomen elementen van het complete bestand elementen behalve de zoek koppen en de volg document(en) (cue) ingangen. Als de samenvattingsmode aan is dan zal mkvinfo(1) het beeld positie eveneens uitvoeren.

Op niveau 2 print mkvinfo(1) tevens de zoek kop ingangen, de volg document(en) (cue)l ingangen en de bestandspositie waarbij elk Matroska(TM) element kan worden gevonden.

Op niveau 3 en hoger zal mkvinfo(1) enige informatie printen welke niet direct aan een Matroska(TM) element is gekoppeld. Alle overige elementen printen alleen info over de elementen die zojuist werden gevonden. Niveau 3 voegt meta informatie toe voor een makkelijkere fout opsporing (lees als: bedoelt voor ontwikkelaars). Alle niveau 3 geschreven regels bevatten zich tussen [ ] om ze makkelijker te herkennen.

TEKST BESTANDEN EN KARAKTER SET CONVERSIES

For an in-depth discussion about how all tools in the MKVToolNix suite handle character set conversions, input/output encoding, command line encoding and console encoding please see the identically-named section in the mkvmerge(1) man page.

VERLAAT CODES

mkvinfo(1) verlaat met één van de drie afsluit codes:

    • 0 -- Deze verlaat code betekend dat alles succesvol voltooid is.

    • 1 -- In dit geval heeft mkvinfo(1) minimaal één waarschuwing doen uitgaan, maar ging door. Een waarschuwing wordt voorafgegaan met de tekst 'Waarschuwing:'.

    • 2 -- Deze fout code wordt gegeven nadat er een fout optrad. mkvinfo(1) breekt direct af na het geven van dit waarschuw bericht. Fout! bereik in berichten, van een verkeerd commandoregel argument over lees/schrijf fouten naar een 'gebroken' bestanden.

OVERSLAAN VAN SPECIALE KARAKTER(S) IN TEKST

Er zijn een paar plaatsen waar speciale karakters zouden of moeten worden overgeslagen. De regels voor het overslaan zijn simpel: elk karakter dat overgeslagen dient te worden wordt vervangen door een backslash "\" gevolgd door een ander karakter.

De regels zijn: ' ' (een spatie) wordt '\s', '"' (dubbele aanhalingstekens) wordt '\2', ':' wordt '\c', '#' wordt '\h' en '\' (een enkele (backslash) zelf wordt '\\'.

OMGEVINGSVARIABELEN

mkvinfo(1) gebruikt de standaard variabelen vanuit het systeem locatie (b.v. LANG en de LC_* family). Extra variabelen:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG and its short form MTX_DEBUG
    De inhoud wordt behandeld alsof het via de --debug optie gepasseerd is.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE and its short form MTX_ENGAGE
    De inhoud wordt behandeld alsof het via de --engage optie gepasseerd is.

MKVINFO_OPTIONS, MKVTOOLNIX_OPTIONS and its short form MTX_OPTIONS
    De inhoud wordt gesplitst op een spatie. De gedeeltelijk resulterende reeks wordt behandeld alsof het gedaan is via de commandoregel. Indien het nodig is speciale karakters te gebruiken (b.v. spaties) dan moet je die "insluiten" (zie de sectie over: Overslaan van speciale karakter(s) in tekst).

ZIE OOK

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

De laatste versie kan altijd gevonden worden op de MKVToolNix[1] thuis basis.

AUTEUR

Moritz Bunkus <moritz@bunkus.org>
    Ontwikkelaar

OPMERKINGEN

1.  MKVToolNix
    https://www.bunkus.org/videotools/mkvtoolnix/